#include "../osd_cpu.h"				// system types

#ifndef _HEADERS_H_
#define _HEADERS_H_

typedef UINT32 (*PFN)( UINT8 *pImage, UINT32 *iBufSize );

PFN GetRomSize[];

enum {	// for use by headers so they don't have to use iFileType as global
	NullRet,
	NullHdr,
	A78Hdr,
	LynxHdr,
	iNesHdr,
	GenBinHdr,
	GenSMDHdr,
	SNES_Hdr_FIG,
	MaxHdr
};

#endif // _HEADERS_H_

int iRomType (char *ext);	// Ex: .nes

// function pointer array members

UINT32 iNullRet( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_Null( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_iNes( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_Genesis_BIN( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_Genesis_SMD( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_SNES_Hdr( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_Lynx( UINT8 *pImage, UINT32 *iBufSize );
UINT32 iRomSize_A78( UINT8 *pImage, UINT32 *iBufSize );
