#define MAX_BUFF	1000	// line-buffer from file.
					// for RomCenter, should be 23 + _MAX_PATH * 4
#define MAX_RESERVE	1000	// should cover most systems
					// prevents this many re-allocations
#ifdef JSORT
	#define FNLEN		50
#else
	#define FNLEN		100
#endif

struct tagRomInfo {
	bool bHave;
	unsigned crc;
	char szName[FNLEN];
};

struct tagJpgInfo {
	bool bHave;
	unsigned size;
	unsigned crc;
	unsigned short width;
	unsigned short height;
	char szName[FNLEN];
};

#ifdef JSORT
	#define tagInfo	tagJpgInfo
#else
	#define tagInfo	tagRomInfo
#endif

unsigned MatchExt(char *cTmpext, char *ext);
int MatchExtToArray(char *sztmpExt);
int LoadDat( char *pszSystem );
void UnloadDat( void );
tagInfo *IdProc( unsigned int iCRC);	// ret &filename
char *AddExts ( char *p );

extern char *szExt;
extern char *szSortDir;
