#define STRICT
#define WIN32_LEAN_AND_MEAN
#include <windows.h>

#ifndef _MAX_PATH
#define _MAX_PATH 255
#endif
/*
int strccmp( const char *sz1, const char *sz2) {
	char c1, c2;
	int count = 0;

	while( (c1 = toupper( sz1[count] )) && (c2 = toupper( sz2[count] ))) {	// run until end of string

		if( c1 > c2 )
			return 1;
		else if( c1 < c2 )
			return -1;

		count++;
	}
	return 0;
}
*/			

int walkdir( char *szWalkdir, int (*PFN) (char *filename, char *dir, int iopts), char *szExt, int iOpts ) {

	char cFile[_MAX_PATH];
	int iRet = 0;

	HANDLE hFindFile = 0;								// if last search failed, will == 0
	WIN32_FIND_DATA FileInfo;

	strcpy(cFile, szWalkdir);							// search for *.* - eliminate unneeded with szExt
	strcat(cFile, szExt);
//	if( szExt[0] == '*')								// use extension only
//		szExt++;

	hFindFile = FindFirstFile(cFile, &FileInfo);
	
	if (hFindFile != INVALID_HANDLE_VALUE) {
		iRet = 1;
		do {
			if(FileInfo.cFileName[0] != '.') {
				if(FileInfo.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY) {
//					strcat( cFile, "\\" );
//					walkdir( cFile, PFN, szExt );
				} else {								//not a dir
					iRet = PFN( FileInfo.cFileName, szWalkdir, iOpts );
				}
			}
		} while(FindNextFile(hFindFile, &FileInfo));
	} else {
		iRet = 0;
	}
	FindClose( hFindFile );
	hFindFile = 0;
	return iRet;	//	---------if succeeded, return TRUE
}
